#include "iti_twi.h"
#include "lcd.h"
#include <avr/io.h>

// Informiert den Compiler ber die CPU-Taktfrequenz: 4 MHz 
// Ntig fr <util/delay.h>
#define F_CPU 4000000UL 
#include <util/delay.h>



/*
	Schreibt ein Byte in ein Register eines TWI-Gertes.

	Parameter: 
	uint8_t twi_addr	- Addresse des TWI-Gertes.
	uint8_t reg			- Nr Register des TWI-Gertes in das geschrieben werden soll.
	uint8_t data		- Byte das geschrieben werden soll.

	Rckgabe: 
	1 falls Schreiben erfolgreich, sonst 0.

	Ablauf:
	1. Starte die TWI-Kommunikation.
	2. Schreibe die Schreib-Addresse des TWI-Gertes auf den Bus.
	3. Schreibe die Nr. des Registers auf den Bus
	4. Schreibe das Byte auf den Bus.
	5. Stoppe die TWI-Kommunikation.
*/
int twi_writeregister(uint8_t twi_addr, uint8_t reg, uint8_t data) {


	// ...

	return 1;
}


/*
	Liest ein Byte aus einem Register eines TWI-Gertes.

	Parameter: 
	uint8_t twi_addr	- Addresse des TWI-Gertes.
	uint8_t reg			- Nr Register des TWI-Gertes von dem gelesen werden soll.
	uint8_t* data		- Addresse einer Variable, in die das gelesene Byte 
						  geschrieben werden soll.

	Rckgabe: 
	1 falls Lesen erfolgreich, sonst 0. 
	Insbesondere soll 0 zurckgegeben werden, falls der Pointer data==0.

	Ablauf:
	1. Starte die TWI-Kommunikation.
	2. Schreibe die Schreib-Addresse des TWI-Gertes auf den Bus.
	3. Schreibe die Nr des Registers.
	4. Stoppe die Kommunikation
	5. Starte die TWI-Kommunikation.
	6. Schreibe die Lese-Addresse (LSB==1!!!) des TWI-Gertes auf den Bus.
	7. Lese das Byte aus dem Register, setze dabei kein ACK.
	5. Stoppe die TWI-Kommunikation.
*/
int twi_readregister(uint8_t twi_addr, uint8_t reg, uint8_t* data) {

	// ...

	return 1;
}





int main () {

	
	int dist = 0; // Entfernung
	// ...


	// Initialisiere den TWI-Bus:
	// ...

	// Initialisiere den Bildschirm:
	// ...
	

	while (1) {

		// Sende den Befehl fr "Messung in cm Starten" 
		// an den SRF02 Sensor:
		// ...

		// Warte bis das Ergebnis bereit steht:
		_delay_ms (80.0);

		// Lese das Ergebnis vom SRF02:
		// ...


		// Schreibe das Ergebnis auf dem Bildschirm:
		lcd_write(VT); // erste Zeile, erste Spalte
		lcd_puti(dist);// schreibe Ergebnis

    // Fge Wartezeit hinzu, um nicht zu hufig zu lesen
				
	}

	return 0;
}
