#ifndef _lcd_h_
#define _lcd_h_

//////////////////////////////////////////////////////////////////////
/////////////////////  ITI - ATmega-Display  /////////////////////////

// Anschluesse:
//
// Display	= ATmega
//-------------------
// RS 		= PD1
// R/W		= PD4
// E1		= PD0
//
// D7:0		= PB7:0

/*
Nach einer Initialisierung mit lcd_init(), 
ist der Bildschirm einsatzbereit.
*/

//////////////////////////////////////////////////////////////////////


/* Initialisiert den Bildschirm */
void lcd_init();


/* Schreibt ein Zeichen auf den Bildschirm */
void lcd_putc( char );


/* Lscht den Bildschirm */
void lcd_clear( void );


/* Steuerzeichen fuer lcd_write */
#define LF 0x0A	//Cursor auf Zeile 2
#define	FF 0x0C	//Display loeschen, Cursor auf Zeile 1
#define VT 0x0B	//Cursor auf Zeile 1

/* Schreibt ein Zeichen auf den Bildschirm.
 * Erkennt Steuerzeichen. z.B.:
 * 			lcd_write(VT); 
 * setzt den Cursor auf Anfang der Zeile 1.
 */
void lcd_write( char );

/* Schreibt ein int-Wert auf den Bildschirm
 * Die Gesamtlnge der Zahl darf nicht 
 * lnger als 9 Zeichen sein!
 */
void lcd_puti( int a );

/* Schreibt ein float-Wert auf den Bildschirm
 * Es werden 2 Nachkommastellen ausgegeben.
 * Die Gesamtlnge der Zahl (mit '.') 
 * darf nicht lnger als 9 Zeichen sein!
 */
void lcd_putf( float a );


#endif
